## stsci.tools 4.2.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytools.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## stsci.tools 3.4.11

=== debian/changelog ===
stsci.tools (3.4.11-1) unstable; urgency=low

  * Initial release. (Closes: #884598)

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Dec 2017 08:49:59 +0100

=== debian/control ===
Source: stsci.tools
Section: python
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-d2to1 (>= 0.2.9~),
               python-nose,
               python-numpy,
               python-setuptools,
               python-stsci.distutils,
               python3-all (>= 3.1.2-6~),
               python3-d2to1 (>= 0.2.9~),
               python3-nose,
               python3-numpy,
               python3-setuptools,
               python3-stsci.distutils
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0
Standards-Version: 4.1.2
Homepage: https://pypi.python.org/pypi/stsci.tools
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/stsci.tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/stsci.tools.git

Package: python-stsci.tools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Miscellaneous Python 2 tools from STScI
 This package provides a selection of tools for FITS and WCS handling,
 image handling, and data analysis, used by other STScI packages.
 .
 This is the Python 2 version.

Package: python3-stsci.tools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Miscellaneous Python 3 tools from STScI
 This package provides a selection of tools for FITS and WCS handling,
 image handling, and data analysis, used by other STScI packages.
 .
 This is the Python 3 version.

## stsci.tools 3.4.12

=== debian/changelog ===
stsci.tools (3.4.12-1) unstable; urgency=medium

  * Update VCS URLs to salsa.d.o
  * New upstream version 3.4.12. Rediff patches
  * Push Standards-Version to 4.1.3. No changes needed.
  * Use a fake relic package for version info

 -- Ole Streicher <olebole@debian.org>  Thu, 15 Feb 2018 08:54:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,28 @@
                dh-python,
                python-all (>= 2.6.6-3~),
                python-d2to1 (>= 0.2.9~),
+               python-dateutil,
+               python-debian,
                python-nose,
                python-numpy,
+               python-pytest-runner,
                python-setuptools,
                python-stsci.distutils,
                python3-all (>= 3.1.2-6~),
                python3-d2to1 (>= 0.2.9~),
+               python3-dateutil,
+               python3-debian,
                python3-nose,
                python3-numpy,
+               python3-pytest-runner,
                python3-setuptools,
                python3-stsci.distutils
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.0
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://pypi.python.org/pypi/stsci.tools
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/stsci.tools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/stsci.tools.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/stsci.tools.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/stsci.tools
 
 Package: python-stsci.tools
 Architecture: all
@@ -31,7 +37,7 @@
  This package provides a selection of tools for FITS and WCS handling,
  image handling, and data analysis, used by other STScI packages.
  .
- This is the Python 2 version.
+ This is the Python 2 legacy version.
 
 Package: python3-stsci.tools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stsci.tools

%:
	dh $@ --with python2,python3 --buildsystem=pybuild --parallel

override_dh_auto_test:
	# Disable tests for the moment

## stsci.tools 3.4.13

=== debian/changelog ===
stsci.tools (3.4.13-1) unstable; urgency=low

  * New upstream version 3.4.13. Rediff patches
  * Push Standards-Versionto 4.2.0. No changes required
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Aug 2018 14:21:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all (>= 2.6.6-3~),
                python-d2to1 (>= 0.2.9~),
@@ -23,9 +23,7 @@
                python3-pytest-runner,
                python3-setuptools,
                python3-stsci.distutils
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.0
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://pypi.python.org/pypi/stsci.tools
 Vcs-Git: https://salsa.debian.org/debian-astro-team/stsci.tools.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/stsci.tools

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stsci.tools

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Disable tests for the moment

## stsci.tools 3.5.2

=== debian/changelog ===
stsci.tools (3.5.2-1) unstable; urgency=low

  * New upstream version 3.5.2
  * Push Standards-Version to 4.4.0. No changes needed
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Jul 2019 14:24:51 +0200

stsci.tools (3.4.13-2) unstable; urgency=low

  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 15 Dec 2018 13:42:27 +0100

=== debian/control ===
Source: stsci.tools
Section: python
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 12),
               dh-python,
               python3-all (>= 3.1.2-6~),
               python3-d2to1 (>= 0.2.9~),
               python3-dateutil,
               python3-debian,
               python3-nose,
               python3-numpy,
               python3-pytest-runner,
               python3-setuptools,
               python3-stsci.distutils
Standards-Version: 4.4.0
Homepage: https://pypi.python.org/pypi/stsci.tools
Vcs-Git: https://salsa.debian.org/debian-astro-team/stsci.tools.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/stsci.tools

Package: python3-stsci.tools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Miscellaneous Python tools from STScI
 This package provides a selection of tools for FITS and WCS handling,
 image handling, and data analysis, used by other STScI packages; mainly
 by Pyraf.

## stsci.tools 3.6.0

=== debian/changelog ===
stsci.tools (3.6.0-1) unstable; urgency=low

  * New upstream version 3.6.0
  * Add d/gitlab-ci.yml for salsa
  * Switch to debhelper-compat

 -- Ole Streicher <olebole@debian.org>  Fri, 02 Aug 2019 08:38:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all (>= 3.1.2-6~),
                python3-d2to1 (>= 0.2.9~),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stsci.tools

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Disable tests for the moment

=== debian/watch ===
version=3
https://pypi.debian.net/stsci.tools/stsci.tools-(.+).tar.gz

## stsci.tools 4.0.1

=== debian/changelog ===
stsci.tools (4.0.1-3) unstable; urgency=medium

  * Update exiting copy over FitsTestCase
  * Push Standards-Version to 4.6.1, no changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 17 Dec 2022 11:42:15 +0100

stsci.tools (4.0.1-2) unstable; urgency=medium

  * Switch back to master

 -- Ole Streicher <olebole@debian.org>  Fri, 29 Oct 2021 09:51:39 +0200

stsci.tools (4.0.1-1) experimental; urgency=medium

  * New upstream version 4.0.1
  * Switch to experimental (incompatible new version)
  * Rediff patches
  * Update dependencies
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no" to d/control
  * Add SETUPTOOLS_SCM_PRETEND_VERSION to d/rules
  * Push dh-compat to 13
  * Enable build time and CI tests

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Sep 2021 21:02:22 +0200

=== debian/control ===
Source: stsci.tools
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-astropy,
               python3-numpy,
               python3-pytest,
               python3-pytest-astropy-header,
               python3-pytest-doctestplus,
               python3-setuptools,
               python3-setuptools-scm,
               python3-tk
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/stsci.tools
Vcs-Git: https://salsa.debian.org/debian-astro-team/stsci.tools.git
Homepage: https://pypi.python.org/pypi/stsci.tools
Rules-Requires-Root: no

Package: python3-stsci.tools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Breaks: python3-pyraf (<< 2.1.15-3~)
Description: Miscellaneous Python tools from STScI
 This package provides a selection of tools for FITS and WCS handling,
 image handling, and data analysis, used by other STScI packages; mainly
 by Pyraf.

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs stsci.tools
Depends: @, python3-pytest, python3-astropy, python3-tk
Restrictions: allow-stderr

## stsci.tools 4.1.0

=== debian/changelog ===
stsci.tools (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Drop Update-exiting-copy-over-FitsTestCase.patch: applied upstream
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Sep 2023 10:29:46 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-tk
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/stsci.tools
 Vcs-Git: https://salsa.debian.org/debian-astro-team/stsci.tools.git
 Homepage: https://pypi.python.org/pypi/stsci.tools

## stsci.tools 4.1.1

=== debian/changelog ===
stsci.tools (4.1.1-2) unstable; urgency=medium

  * Update test_compmixin.py (Closes: #1082319)

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Sep 2024 13:27:21 +0200

stsci.tools (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed
  * Build-Depend on pybuild-plugin-pyproject
  * Enforce pytest run parameters, overwriting pybuild.toml ones
    that don't work with pybuild

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Jul 2024 19:37:38 +0200

## stsci.tools 4.2.0

=== debian/changelog ===
stsci.tools (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Drop Update-test_compmixin.py.patch, applied upstream

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Feb 2025 08:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-astropy,
                python3-numpy,
@@ -14,7 +15,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-tk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/stsci.tools
 Vcs-Git: https://salsa.debian.org/debian-astro-team/stsci.tools.git
 Homepage: https://pypi.python.org/pypi/stsci.tools

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=stsci.tools
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
export PYBUILD_TEST_ARGS=--doctest-modules .


%:
	dh $@ --with python3 --buildsystem=pybuild

## stsci.tools 4.3.0

=== debian/changelog ===
stsci.tools (4.3.0-1) unstable; urgency=medium

  * d/watch: Push to 5.0; switch upstream to Github
  * New upstream version 4.3.0
  * Rediff patches
  * d/u/metadata: remove obsolete field "Name"
  * d/control: Remove obsoleted Breaks
  * Push Standards-Version to 4.7.3, no changes needed
  * Use readthedocs as project homepage
  * Rename Gitlab CI file to d/salsa-ci.yml

 -- Ole Streicher <olebole@debian.org>  Tue, 10 Feb 2026 09:41:30 +0100

=== debian/control ===
Source: stsci.tools
Standards-Version: 4.7.3
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-astropy,
 python3-numpy,
 python3-pytest,
 python3-pytest-astropy-header,
 python3-pytest-doctestplus,
 python3-setuptools,
 python3-setuptools-scm,
 python3-tk,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/stsci.tools
Vcs-Git: https://salsa.debian.org/debian-astro-team/stsci.tools.git
Homepage: https://stscitools.readthedocs.io/
Rules-Requires-Root: no

Package: python3-stsci.tools
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Miscellaneous Python tools from STScI
 This package provides a selection of tools for FITS and WCS handling,
 image handling, and data analysis, used by other STScI packages; mainly
 by Pyraf.

=== debian/watch ===
Version: 5
Template: Github
Owner: spacetelescope
Project: stsci.tools
